> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Restriction

> Endpoint to get campaign restrictions.



## OpenAPI

````yaml /openapi.json get /public/v1/campaign-service/campaigns/{campaign-id}/restrictions
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/campaign-service/campaigns/{campaign-id}/restrictions:
    get:
      tags:
        - Campaign API
      summary: Get Campaign Restriction
      description: Endpoint to get campaign restrictions.
      operationId: get_campaign_restriction
      parameters:
        - name: campaign-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the campaign.
          description: The ID of the campaign.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Advanced_APIs_CampaignRestrictionsResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_CampaignRestrictionsResponse:
      properties:
        restrictions:
          items:
            $ref: '#/components/schemas/Advanced_APIs_CampaignRestrictionResponse'
          type: array
          title: Restrictions
      type: object
      required:
        - restrictions
      title: CampaignRestrictionsResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_CampaignRestrictionResponse:
      properties:
        id:
          type: integer
          title: Id
          description: The ID of the restriction.
        campaignId:
          type: string
          format: uuid
          title: Campaignid
          description: The ID of the campaign.
        marketplaceId:
          type: string
          format: uuid
          title: Marketplaceid
          description: The ID of the marketplace.
        restrictionType:
          $ref: '#/components/schemas/Advanced_APIs_RestrictionTypeResponse'
        limit:
          type: integer
          title: Limit
          description: The limit of the restriction.
        createdAt:
          type: string
          format: date-time
          title: Createdat
          description: The creation date of the restriction.
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
          description: The last update date of the restriction.
        status:
          $ref: '#/components/schemas/Advanced_APIs_CampaignRestrictionStatus'
          description: The status of the restriction.
      type: object
      required:
        - id
        - campaignId
        - marketplaceId
        - restrictionType
        - limit
        - createdAt
        - updatedAt
        - status
      title: CampaignRestrictionResponse
      description: Limit-based restrictions for a campaign.
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Advanced_APIs_RestrictionTypeResponse:
      properties:
        id:
          type: integer
          title: Id
          description: The ID of the restriction.
        interactionType:
          $ref: '#/components/schemas/Advanced_APIs_InteractionType'
          description: The interaction type of the restriction.
        frequencyType:
          $ref: '#/components/schemas/Advanced_APIs_FrequencyType'
          description: The frequency type of the restriction.
        level:
          $ref: '#/components/schemas/Advanced_APIs_RestrictionLevel'
          description: The level of the restriction.
      type: object
      required:
        - id
        - interactionType
        - frequencyType
        - level
      title: RestrictionTypeResponse
      description: The type of restriction.
    Advanced_APIs_CampaignRestrictionStatus:
      type: string
      enum:
        - active
        - inactive
      title: CampaignRestrictionStatus
    Advanced_APIs_InteractionType:
      type: string
      enum:
        - impressions
        - clicks
        - conversions
      title: InteractionType
    Advanced_APIs_FrequencyType:
      type: string
      enum:
        - daily
        - weekly
        - monthly
      title: FrequencyType
    Advanced_APIs_RestrictionLevel:
      type: string
      enum:
        - campaign
        - bid
      title: RestrictionLevel
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````